import { u64 } from "@solana/spl-token";
import BN from "bn.js";
import { WhirlpoolData, WhirlpoolDiscountInfoData } from "../../types/public";
import { TickArraySequence } from "./tick-array-sequence";
export declare const DISCOUNT_FEE_RATE_MUL_VALUE = 10000;
export declare type SwapResult = {
    amountA: BN;
    amountB: BN;
    nextTickIndex: number;
    nextSqrtPrice: BN;
    totalFeeAmount: BN;
};
export declare function computeSwap(whirlpoolData: WhirlpoolData, tickSequence: TickArraySequence, tokenAmount: u64, sqrtPriceLimit: BN, amountSpecifiedIsInput: boolean, aToB: boolean): SwapResult;
export declare function computeSwapWithFeeDiscount(whirlpoolData: WhirlpoolData, whirlpooDiscountInfoData: WhirlpoolDiscountInfoData, tickSequence: TickArraySequence, tokenAmount: u64, sqrtPriceLimit: BN, amountSpecifiedIsInput: boolean, aToB: boolean): {
    swapResults: SwapResult;
    discountFeeAccumulated: BN;
};
